Bug 240516 - mozldap packaging bugs
mozldap packaging bugs
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: mozldap (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rich Megginson
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks: adminutil
  Show dependency treegraph
 
Reported: 2007-05-17 23:08 EDT by Dennis Gilmore
Modified: 2008-05-06 21:45 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 21:45:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2007-05-17 23:08:44 EDT
adminutil has 
# cyrus-sasl-devel is required because mozldap uses it
BuildRequires:    cyrus-sasl-devel

mozldap-devel should require it if this is the case.

mozldap-devel provides /usr/lib64/pkgconfig/mozldap.pc but does not require 
pkgconfig
Comment 1 Rich Megginson 2007-05-21 14:09:44 EDT
Done.  Committed for FC-5, FC-6, F-7, and devel.

Margaret, did you want to build these, or should I?
Comment 2 Mamoru TASAKA 2007-05-24 03:45:12 EDT
Wait, what file actually requires cyrus-sasl-devel
in mozldap-devel?

----------------------------------------------------------
[tasaka1@localhost ~]$ grep 'include ' `rpm -ql mozldap-devel | grep /usr/include` 
/usr/include/mozldap/disptmpl.h: * include additional info. relevant to "non
leaf" entries only
/usr/include/mozldap/disptmpl.h: * used by ldap_entry2html and
ldap_entry2html_search to include "Browse"
/usr/include/mozldap/lber.h:#include <stdlib.h> /* to pick up size_t typedef */
/usr/include/mozldap/lber.h:#include <winsock.h> /* for SOCKET */
/usr/include/mozldap/ldap-platform.h:#include <windows.h>
/usr/include/mozldap/ldap-platform.h:#  include <winsock.h>
/usr/include/mozldap/ldap-platform.h:#include <utime.h>
/usr/include/mozldap/ldap-platform.h:#include "macsocket.h"
/usr/include/mozldap/ldap-platform.h:#include <sys/time.h>
/usr/include/mozldap/ldap-platform.h:#include <sys/types.h>
/usr/include/mozldap/ldap-platform.h:#include <sys/socket.h>
/usr/include/mozldap/ldap-platform.h:#include <sys/select.h>
/usr/include/mozldap/ldap-platform.h:#include <sys/select.h>
/usr/include/mozldap/ldap-standard.h:#include "ldap-platform.h"
/usr/include/mozldap/ldap-standard.h:#include "lber.h"
/usr/include/mozldap/ldap.h:#include "ldap-standard.h"
/usr/include/mozldap/ldap.h:#include "ldap-extension.h"
/usr/include/mozldap/ldap.h:#include "ldap-to-be-deprecated.h"
/usr/include/mozldap/ldap.h:#include "ldap-deprecated.h"
/usr/include/mozldap/ldappr.h:#include "nspr.h"
[tasaka1@localhost ~]$ cat /usr/lib/pkgconfig/mozldap.pc | grep Requires
Requires: nspr >= 4.6 , nss >= 3.11
-------------------------------------------------------------

For me, no files in mozldap-devel requires cyrus-sasl-devel
Comment 3 Rich Megginson 2007-05-24 10:15:01 EDT
(In reply to comment #2)
> Wait, what file actually requires cyrus-sasl-devel
> in mozldap-devel?
<snip>
> -------------------------------------------------------------
> 
> For me, no files in mozldap-devel requires cyrus-sasl-devel

I'm not really sure.  libldap60.so has a dependency on cyrus-sasl, so at
run-time the cyrus-sasl libs must be available, and the digest-md5 and gssapi
mechanisms must be available in order to use them.  But I thought this should
have been satisfied in mozldap.spec by Requires: cyrus-sasl-lib and by
BuildRequires: cyrus-sasl-devel.  Then, in order to install adminutil which has
a dependency (Requires: mozldap), it will automatically check the dependencies
for mozldap, which will ensure that cyrus-sasl-lib is installed on the system.

So perhaps it was fine before the most recent change, with just
Requires: cyrus-sasl-lib
and
BuildRequires: cyrus-sasl-devel
in the main package section (i.e. not in the devel section).
Comment 4 Mamoru TASAKA 2007-05-24 10:52:30 EDT
(In reply to comment #3)
> (In reply to comment #2)
> > Wait, what file actually requires cyrus-sasl-devel
> > in mozldap-devel?
> <snip>
> > -------------------------------------------------------------
> > 
> > For me, no files in mozldap-devel requires cyrus-sasl-devel
> 
> I'm not really sure.  libldap60.so has a dependency on cyrus-sasl, so at
> run-time the cyrus-sasl libs must be available, and the digest-md5 and gssapi
> mechanisms must be available in order to use them.  But I thought this should
> have been satisfied in mozldap.spec by Requires: cyrus-sasl-lib and by
> BuildRequires: cyrus-sasl-devel.  

Well, while "BuildRequires: cyrus-sasl-devel" is needed for 
mozldap, "Requires: cyrus-sasl-lib" is not needed and should
be removed because rpmbuild checks dependency for libraries
automatically.

Actually "rpm -q --requires mozldap" contains "libsasl2.so.2"
and this dependency is solved by cyrus-sasl-lib.
-----------------------------------------------
[tasaka1@localhost Reviewing]$ rpm -q --requires mozldap | grep libsasl
libsasl2.so.2  
[tasaka1@localhost Reviewing]$ rpm -q --whatprovides 'libsasl2.so.2'
cyrus-sasl-lib-2.1.22-6
-----------------------------------------------

> BuildRequires: cyrus-sasl-devel
> in the main package section (i.e. not in the devel section).

Well, for "BuildRequires", it does not matter whether you write
"BuildRequires" on main section or -devel section (and so
writing all BuildRequires on main section is recommended). 
These are checked only at rebuilding mozldap and at the time
(i.e. when rebuilding mozldap) all BuildRequires are checked.

What is the matter is that whether cyrus-sasl-devel should be in
"Requires" (not "BuildRequires") of mozldap-devel package.
As far as I checked mozldap-devel, mozldap-devel should not need
cyrus-sasl-devel for "Requires" (not "BuildRequires").
Comment 5 Rich Megginson 2007-05-24 11:27:30 EDT
Ok.  So mozldap should just need BuildRequires: cyrus-sasl-devel in the main
section and no other cyrus sasl anywhere.
Comment 6 Mamoru TASAKA 2007-05-24 11:49:28 EDT
(In reply to comment #5)
> Ok.  So mozldap should just need BuildRequires: cyrus-sasl-devel in the main
> section and no other cyrus sasl anywhere.

I agree.
Comment 7 Rich Megginson 2007-05-25 19:15:59 EDT
(In reply to comment #6)
> (In reply to comment #5)
> > Ok.  So mozldap should just need BuildRequires: cyrus-sasl-devel in the main
> > section and no other cyrus sasl anywhere.
> 
> I agree.

Ok.  Committed new mozldap.spec for FC-5, FC-6, F-7, and devel.

Margaret, do you want to try your hand at a rebuild?
Comment 8 Bug Zapper 2008-04-03 20:46:15 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 9 Bug Zapper 2008-05-06 21:45:55 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.